// variable styles

$title:#40576D;
$headerbackground:#fff;
$sidebar:#4B596C;
$footer:#4B596C;
$card-title:#262525;;

// Here you can add other styles

body{
    font-family: 'Montserrat', sans-serif;
}

a{
    text-decoration: none;
    &:hover{
        text-decoration: none;
    }
}

button{
    &:focus{
        outline: 0;
    }
}

.btn{
    font-size: 15px;
    font-weight: 600;
    padding: 12px 45px;
    outline: 0;
    border: 0px;
    border-radius: 5px;
    margin: 0px;
    height: auto;
    text-transform: capitalize;
    outline:0px !important;
    cursor: pointer;
    transition: all 0.5s ease;
    
    &:focus{
        outline: 0;
        box-shadow: inherit;
    }

    @media only screen and (max-width: 1440px) {
        font-size: 12px;
        font-weight: 600;
        padding: 8px 35px;
    }

    @media only screen and (max-width: 767px) {
        font-size: 10px;
        font-weight: 600;
        padding: 8px 10px;
    }
}

.btn-primary{
    color: #fff;
    background-color: #00CA00;
    border-color: #00CA00;

    &:hover{
        color: #fff;
        background-color: #1ca01c;
        border-color: #1ca01c;
    }
}

.main{
    padding-top: 30px;

    @media (max-width: 467px){
        .container-fluid {
            padding: 0 20px;
        }
    }
}

.sidebar{
    background:$sidebar;
}



@media (max-width: 647px){

    .sidebar-fixed {
        .sidebar{
            width: 100%;
            flex: 0 0 250px;
        }
    }

    html:not([dir=rtl]) .sidebar {
        margin-left: -100%;
    }

}




@media (min-width: 1024px){

    html:not([dir=rtl]) .sidebar-lg-show.sidebar-fixed .main, html:not([dir=rtl]) .sidebar-lg-show.sidebar-fixed .app-footer, html:not([dir=rtl]) .sidebar-show.sidebar-fixed .main, html:not([dir=rtl]) .sidebar-show.sidebar-fixed .app-footer{
        margin-left: 250px;
    }


    .sidebar-fixed {
        .sidebar{
            width: 250px;
            flex: 0 0 250px;
        }
    }

    html:not([dir=rtl]) .sidebar {
        margin-left: -250px;
    }


}

@media (min-width: 1440px){

    html:not([dir=rtl]) .sidebar-lg-show.sidebar-fixed .main, html:not([dir=rtl]) .sidebar-lg-show.sidebar-fixed .app-footer, html:not([dir=rtl]) .sidebar-show.sidebar-fixed .main, html:not([dir=rtl]) .sidebar-show.sidebar-fixed .app-footer{
        margin-left: 300px;
    }


    .sidebar-fixed {
        .sidebar{
            width: 300px;
            flex: 0 0 300px;
        }
    }

    html:not([dir=rtl]) .sidebar {
        margin-left: -300px;
    }

}

@media (min-width: 992px){
    .header-fixed {
        .app-body{
            margin-top: 70px;
        }
    }
}

.app-header{
    height: 70px !important;
    background-color: $headerbackground;

    .navbar-toggler{
        &:focus{
            outline: 0;
        }
    }

    .navbar-brand{
        height: 70px !important;
        width: 150px;
        padding: 10px;
        margin-left: 50px;

        img{
            height: 100px;
            width: 100%;
            margin-top: -8px;

            @media (max-width: 1024px){
                height: 80px;
                margin-top: 0px;
            }

            @media (max-width: 992px){
                height: 80px;   
            }

            @media (max-width: 467px){
                height: 65px; 
            }
        }

        @media (max-width: 1024px){
            width: 130px;
        }

        @media (max-width: 992px){
            transform: translatex(-50%);
            margin-left: 0px;
            width: 120px;
            padding: 5px;
        }

        @media (max-width: 467px){
              width: 100px;
        }
    }

    .navbar-nav{
        padding-right: 40px; 

        @media (max-width: 467px){
            padding-right: 20px; 
        }
    }

    .profile-header{
        ul{
            list-style: none;
            padding: 0;
        }

        .nav-link{
            color: #011024;
            font-size: 14px;
            font-weight: 700;
            @media (max-width: 1440px){
                font-size: 12px;
            }

            img{
                height: 35px;
                margin: 0 10px;
                width: 35px;
                border-radius: 50%;
            }
        }
    }

}

.app-footer{
    background:$footer;
    padding: 15px 10px;
    color: #fff;

    .footer-top{
        display: flex;
        justify-content: space-between;
        width: 100%;
        padding-top: 5px;

        @media (max-width: 991px){
            flex-direction: column-reverse;
            justify-content: center;
            text-align: center;

            .footer-center{
                order: 1;
                width: 100%;
                text-align: center;
                margin: 0 auto;
            }

            .footer-right{
                margin-bottom: 10px;
            }
        }

        .footer-center{
            ul{
                display: flex;
                list-style: none;

                @media (max-width: 991px){
                    text-align: center;
                    width: 100%;
                    justify-content: center;
                }

                @media (max-width: 567px){
                    padding: 0px;
                }

                li{
                    position: relative;
                    margin: 0 10px;

                    @media (max-width: 567px){
                        margin: 0 5px;
                    }

                    &:nth-child(1){
                        &:after{
                          content: inherit;
                        }
                    }

                    &:after{
                        content: "";
                        position: absolute;
                        left: -10px;
                        top: 3px;
                        background: white;
                        height: 15px;
                        width: 1px;

                        @media (max-width: 567px){
                            left: -5px;
                            top: 5px;
                            height: 12px;
                        }
                    }
                }
            }
        }

        a{
            color: #fff;
            font-size: 16px;

            @media (max-width: 1440px){
                font-size: 12px;
            }

            &:hover{
                text-decoration: none;
                color: #fff;
            }

            img{
                margin-right: 10px;
            }
        }
    }

    span{
        text-align: center;
        margin: 0 auto;
        font-size: 10px;
        padding-top: 5px;
        opacity: 0.6;

        a{
            color: #fff;
        }
    }

}

.card{
    border: 1px solid #D3DBE5;
    border-radius: 4px;

    .card-body{
        padding: 20px 0px;
        .card-title-section{
            border-bottom: 1px solid #dcdfe3;
            padding: 10px 20px;
            padding-bottom: 25px;

            @media (max-width: 1440px){
                padding: 0px 20px;
                padding-bottom: 15px;
            }

            .card-title{
                font-size: 26px;
                color: $card-title;
                font-weight: 700;

                @media (max-width: 1440px){
                    font-size: 16px;
                }

                @media (max-width: 467px){
                    font-size: 14px;
                }
            }
        }

        .chart {
            padding: 0px 20px;
        }
    }

    .card-footer{
        background: #fff;
        padding: 25px;

        h4{
            font-size: 14px;
            color: #F613A1;
            font-weight: 700;
            margin: 0px;
            @media (max-width: 1440px){
                font-size: 12px;
            }
        }

        strong{
            font-size: 14px;
            color: #262525;
            font-weight: 700;
            margin: 5px 0;
            display: inline-block;
            @media (max-width: 1440px){
                font-size: 12px;
            }
        }

        .text-muted{
            font-size: 14px;
            color: #5A5959;
            font-weight: 400;

            @media (max-width: 1440px){
                font-size: 12px;
            }
        }
    }
}


.customer-progress{
    padding: 30px 20px;


    @media (max-width: 1440px){
        padding: 20px 15px;
    }

    @media (max-width: 467px){
        padding: 15px 15px;
    }

    .progress-top-text{
        display: flex;
        width: 100%;
        justify-content: space-between;

        .progress-left{
            h5{
                font-size: 14px;
                color: #5A5959;

                @media (max-width: 1440px){
                    font-size: 12px;
                }
            }
        }

      
    }

    .progress{
        border-radius: 4px 0px 0px 4px;
        background-color: #E7ECEC;

        @media (max-width: 767px){
            height: 10px;
        }
    }

    .progress-bar{
        background-color: #00CA00;
    }

    .progress-right{
        p{
            font-size: 14px;
            color: #808791;
            font-weight: 700;

            @media (max-width: 1440px){
                font-size: 12px;
            }

            span{
                color: #262525;
                font-weight: 700;
            }
        }
    }
}

.custom-card{
    background: #008169;
    display: flex;
    width: 100%;
    align-items: center;
    border-radius: 4px;
    margin-bottom: 48px;

    @media (max-width: 1440px){
        margin-bottom: 20px;
    }

    .custom-card-left{
        text-align: center;
        text-align: center;
        background: #046B58;
        width: 144px;
        height: 140px;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 4px 0px 0px 4px;

        @media (max-width: 1440px){
            width: 130px;
            height: 118px;
        }

        @media (max-width: 991px){
            width: 120px;
            height: 120px;
        }
    }

    .custom-card-right{
        padding-left: 20px;
        padding-left: 20px;
        width: 100%;
        padding-right: 50px;

        h4{
            font-size: 14px;
            color: #FFFFFF;
            font-weight: 700;

            @media (max-width: 1440px){
                margin-bottom: 12px;
                font-size: 12px;
            }

            @media (max-width: 467px){
                margin-bottom: 12px;
            }
        }

        h3{
            font-size: 20px;
            color: #FFFFFF;
            font-weight: 700;

            @media (max-width: 1440px){
                font-size: 16px;
            }

            @media (max-width: 1024px){
                font-size: 16px;
            }
        
            @media (max-width: 467px){
                margin-bottom: 14px;
            }
        }

        p{
            font-size: 14px;
            color: #FFFFFF;
            font-weight: 400;
            border-top: 1px solid #fff;
            padding-top: 10px;
            margin: 0;

            @media (max-width: 1440px){
                font-size: 12px;
            }

            @media (max-width: 467px){
                margin-bottom: 12px;
            }
        }
    }
}

.custom-card.green{
    background: #00CA00;

    .custom-card-left{
        background: #038D03;
    }
}





.login-sec{
    background: #fff !important;
    height: 100vh;

    form{
        padding-left: 50px;

        @media only screen and (max-width: 767px) {
            padding-left: 0px;
            padding-top: 30px;
        }

        @media only screen and (max-width: 767px) {
            .col-6{
                flex: 100%;
                max-width: 100%;
            }
        }
    }

  

    .form-control{
        border: 1px solid #D6D6D6;
        border-radius: 4px;
        height: 50px;
        color: #000;
        font-weight: 500;
        font-size: 14px;

        &:focus{
            box-shadow: inherit;
        }

        @media only screen and (max-width: 1440px) {
            height: 40px;
        }
    }


    .form-control::-webkit-input-placeholder { /* Edge */
        color: #8f8e8e !important;
        font-size: 15px;

        @media only screen and (max-width: 1440px) {
            font-size: 12px;
        }
      }
      
      .form-control:-ms-input-placeholder { /* Internet Explorer 10-11 */
        color: #8f8e8e !important;
        font-size: 15px;

        @media only screen and (max-width: 1440px) {
            font-size: 12px;
        }
      }
      
      .form-control::placeholder {
        color: #8f8e8e !important;
        font-size: 15px;

        @media only screen and (max-width: 1440px) {
            font-size: 12px;
        }
      }

    .full-page {
        background: #fff !important;
    }

    .logi-img-left{
        margin-bottom: 30px;
    }

    .login-logo{
        text-align: center;
        margin: 50px 0 70px;

        @media only screen and (max-width: 1366px) {
            margin: 10px 0 40px;
        }
        
        @media only screen and (max-width: 768px) {
            margin: 10px 0;
        }

        img{
            width: 250px;

            @media only screen and (max-width: 1440px) {
                width: 200px;
            }
        }
    }

    .card-white {
        background: #ffffff;
        padding: 30px;
        box-shadow: 0px 0px 10px #0000006e;
        border-radius: 8px;

        @media only screen and (max-width: 767px) {
            padding: 20px;
            margin-bottom: 50px;
        }
    }

    .card-title{
        font-size: 40px;
        color: $title !important;
        text-transform: capitalize;
        position: relative;
        font-weight: 900;
        padding: 0;
        margin: 0px;
        margin-bottom: 20px;
        font-weight: 700 !important;

        @media only screen and (max-width: 1440px) {
            font-size: 28px;
            margin-bottom: 15px;
        }

        @media only screen and (max-width: 767px) {
            padding: 0;
            font-size: 26px;
            font-size: 24px;
        }
    }

    .card-footer{
        display: flex;
        align-items: center;

        .footer-link{
            padding-left: 15px;
            color: #3F3F3F !important;
            text-transform: capitalize;
            font-size: 14px;

            @media only screen and (max-width: 1440px) {
                font-size: 12px;
            }
        }
    }

    .card {
        .card-header {
            padding: 0px !important;
            background: transparent;
            border: 0;

            p{
                padding-bottom: 5px;
                color: #40576D !important;
                font-size: 15px;
                font-weight: 400;

                @media only screen and (max-width: 1440px) {
                    font-size: 12px;
                }
            }

            .create-account-link{
                color: #00cb00 !important;
                font-weight: 500;
            }
        }

        .card-body{
            padding: 0px !important;
        }

        .card-footer{
            padding: 0px !important;
            border: 0px;
        }

        .input-group{
            margin-bottom: 20px;
        }
    }

    .login-left-img{
        width: 100%;
        float: right;

        @media only screen and (max-width: 1440px) {
            width: 90%;
        }

        @media only screen and (max-width: 767px) {
            width: 100%;
        }
    }

        .control-label{
            flex: 100%;
            max-width: 100%;
            padding: 0;
            color: #4A6378;
            font-size: 14px;
            font-weight: 500;
        }

        .form-check {
            padding-left: 0px;
        }

        .form-check .custom-check {
            display: block;
            position: relative;
            padding-left: 35px;
            margin-bottom: 12px;
            cursor: pointer;
            font-size: 14px;
            -webkit-user-select: none;
            -moz-user-select: none;
            -ms-user-select: none;
            user-select: none;
            color: #4A6378;
            padding-top: 3px;

            @media only screen and (max-width: 767px) {
                padding-left: 30px;
                font-size: 12px;
                margin-bottom: 5px;
            }
        }
        
        /* Hide the browser's default checkbox */
        .form-check .custom-check input {
            position: absolute;
            opacity: 0;
            cursor: pointer;
            height: 0;
            width: 0;
        }
        
        /* Create a custom checkbox */
        .form-check .checkmark {
            position: absolute;
            top: 0;
            left: 0;
            height: 25px;
            width: 25px;
            background-color: #eee;

            @media only screen and (max-width: 767px) {
                height: 20px;
                width: 20px;   
                top: 2px;
            }
        }
        
        /* On mouse-over, add a grey background color */
        .form-check .custom-check:hover input ~ .checkmark {
            background-color: #ccc;
        }
        
        /* When the checkbox is checked, add a blue background */
        .form-check .custom-check input:checked ~ .checkmark {
            background-color: #00CA00;
        }
        
        /* Create the checkmark/indicator (hidden when not checked) */
        .checkmark:after {
            content: "";
            position: absolute;
            display: none;
        }
        
        /* Show the checkmark when checked */
        .form-check .custom-check input:checked ~ .checkmark:after {
            display: block;
        }
        
        /* Style the checkmark/indicator */
        .form-check .custom-check .checkmark:after {
            left: 9px;
            top: 5px;
            width: 8px;
            height: 12px;
            border: solid white;
            border-width: 0 2px 2px 0;
            transform: rotate(45deg);

            @media only screen and (max-width: 767px) {
                left: 8px;
                width: 5px;
                height: 8px;
            }
        }
}

/* Admin css Start */

.admin-tab-section {
    margin-top: -32px;

    @media only screen and (max-width: 991px) {
        margin-top: -16px;
    }

    .admin-tab{
        background: #fff;
        border: 1px solid #D3DBE5;
        border-radius: 0px 0px 8px 8px;
        padding: 0px 20px;
        margin-bottom: 40px;

        .nav-link {
            padding: 15px 5px;
            margin-right: 20px;
            cursor: pointer;
            color: #4B596C;
            font-size: 14px;
            font-weight: 600;
            
            @media only screen and (max-width: 1440px) {
                font-size: 12px;
                padding: 10px 0px;
            }
        }
    
        .nav-link.active {
            background-color: transparent !important;
            color: #00CA00 !important;
            border-bottom: 5px solid #00CA00;
            border-radius: 0px;
        }
    }

    .content-inner-tab{
        background: #fff;
        border: 0px solid #D3DBE5;
        border-radius: 0px 0px 8px 8px;
        padding: 0px 20px;
        margin-bottom: 15px;

        .nav-link {
            padding: 15px 20px 10px;
            margin-right: 8px;
            cursor: pointer;
            color: #4A6378;
            font-size: 14px;
            font-weight: 600;
            position: relative;
            transform: skew(-18deg);
            background-color: #E7ECEC !important;
            border-radius: 0px !important;

            @media only screen and (max-width: 1440px) {
                font-size: 12px;
                padding: 8px 12px 8px;
                margin-bottom: 10px;
            }

            &:hover{
                background-color: #00CA00 !important;
                color: #fff !important;
            }

            span{
                transform: skew(18deg);
                display: block;
            }   
        }
    
        .nav-link.active {
            background-color: #00CA00 !important;
            color: #fff !important;
            border-bottom: 0px solid #00CA00;
            border-radius: 0px;
        }
    }


    .contact-tab-inner{
        padding: 20px;
        min-height: 350px;

        p{
            color: #4A6378;
            font-size: 14px;
            line-height: 24px;

            @media only screen and (max-width: 1440px) {
                font-size: 12px;
                line-height: 20px;  
            }
        }
    }

    .pdf-img{
        color: #4A6378;
        font-size: 14px;
        font-weight: 500;

        img{
            margin-right: 10px;
            width: 40px;
        }
    }

    .legal-document{
        padding: 0;
        li{
            list-style: none;
            margin: 10px 0;
            font-size: 14px;

            @media only screen and (max-width: 1440px) {
                font-size: 12px;
            }

            img{
                margin-right: 5px;
            }
        }
    }   

}

.card-accent-info{
    border-bottom: 4px solid #00CA00 !important;
}

.prexto-title{
    color: #4A6378;
    font-size: 20px;
    font-weight: 700;

    @media only screen and (max-width: 1440px) {
        font-size: 18px;
    }

    @media only screen and (max-width: 991px) {
        font-size: 16px;
    }
}

.sub-title{
    color: #4A6378;
    font-size: 15px;
    font-weight: 700;
    border-left: 5px solid #00ca00;
    padding: 5px 10px;

    @media only screen and (max-width: 991px) {
        font-size: 14px;
    }
}

.market-place-title{
    margin-bottom: 20px;
}

.card-detail-padding{
    padding: 20px;
    min-height: 350px;

    p{
        color: #4A6378;
        font-size: 15px;
        line-height: 28px;

        @media only screen and (max-width: 1440px) {
            font-size: 12px;
            line-height: 20px;
        }
    }
}

.mobile-col{
    @media only screen and (max-width: 1024px) {
        flex: 0 0 50%;
        max-width: 50%;
    }

    @media only screen and (max-width: 767px) {
        flex: 0 0 100%;
        max-width: 100%;
    }
}


.sort-by{
    display: flex;
    justify-content: flex-end;
    width: 100%;
    align-items: center;
    .form-control{
        width: auto !important;
    }

    .col-form-label{
        margin-right: 15px;
        color: #4A6378;
        font-size: 14px;
        font-weight: 700;

        @media only screen and (max-width: 1440px) {
            font-size: 12px;
        }
    }

    .form-control{
        font-size: 12px;
        color: #4A6378;
        height: 45px;
        @media only screen and (max-width: 1440px) {
            height: 35px;
        }
    }

}

ngx-dropzone{
    border: 1px dashed #c1c1c1 !important;
    margin-bottom: 30px;
}

ngx-dropzone-label{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    span{
        margin-top: 10px;
        font-size: 14px;
    }
}

.table-bordered th, .table-bordered td{
    text-align: center;
    border: 1px solid #D3DBE5 !important;
    font-size: 14px;

    @media only screen and (max-width: 1440px) {
        font-size: 12px;
    }
}

.table-striped tbody tr:nth-of-type(odd){
    background-color: #F9F9F9;
}


.table-bordered tfoot th, .table-bordered tfoot td{
    border: 0px solid #D3DBE5 !important;
}


table{
    border: 1px solid #D3DBE5;
    .action-btn{
        background: #FFFFFF 0% 0% no-repeat padding-box;
        box-shadow: 0px 0px 6px #00000029;
        border-radius: 4px;
        display: inline-block;
        padding: 0px 8px;
        font-size: 16px;
        color: #4B596C;
        margin: 0 5px;
    }

    thead {
        th{
            white-space: nowrap;
            font-size: 14px;
            color:#4A6378;
        }
    }

    tfoot th,  tfoot td{
        color: #4A6378;
        font-size: 18px;
        font-weight: 600;
    }

    tfoot{
        display: contents;
    }
    
  
}


.switch{
    margin: 0;
}

.switch-primary .switch-input:checked + .switch-slider{
    color: #fff;
    background-color: #00CA00;
    border-color: #00CA00;
}

.switch-3d .switch-slider::before{
    top: 1px;
    left: 2px;
    width: 22px;
    height: 22px;
}


@media only screen and (max-width: 1024px) {
    .table-responsive-md{
        display: block;
        width: 100%;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
    }
}

.riskindicator-section{
    p{
        text-align: center;
        font-size: 14px;
        color: #4A6378;
        font-weight: 700;
    }
}

.form-control{
    &:focus{
        outline: 0;
        box-shadow: inherit;
    }
}



.requestincrese-section{

    .border-btn {
          color: #00CA00;
          background-color: #00CA00;
          border-color: #00CA00;
          background: transparent;
          border: 1px solid #00CA00;
  
          &:hover{
              background-color: #00CA00 !important;
              color: #FFF;
          }
      }
  
      .btn{
          padding: 12px 25px;

          &:focus{
              outline: 0;
              border: 0px;
          }

          @media only screen and (max-width: 1440px) {
            padding: 8px 15px;
            font-size: 10px;
          }

          @media only screen and (max-width: 467px) {
             padding: 8px 10px;
          }
      }

      .request-title{
        display: flex;
        justify-content: space-between;
        align-items: center;

        p{
            margin: 0px;
            font-size: 14px;
            color: #4B596C;
            font-weight: 600;

            @media only screen and (max-width: 467px) {
                font-size: 10px;
             }
        }
      }

      .account-totle{
        display: inline-block;
        border: 1px solid #D3DBE5;
        width: auto;

        label {
            display: inline-block;
            margin-bottom: 0.5rem;
            padding: 15px 50px;
            margin-right: 0px;
            margin: 0;
            border-right: 1px solid #D3DBE5;
            font-weight: 600;
            color: #4B596C;

            @media only screen and (max-width: 1440px) {
                padding: 10px 30px;
                font-size: 12px;
            }

            @media only screen and (max-width: 467px) {
                font-size: 12px;
                padding: 10px 12px;
             }

            &:nth-child(2){
               border-right: 0px solid #D3DBE5;
            }
        }

      }

      .table-bordered{
            margin-top: 25px;
      }   

        .pdf-img{
            width: 15px;
            margin-top: -5px;
        }

  }


  option {
    min-height: 50px !important;
    padding: 24px !important;
    line-height: 43px !important;
    margin: 10px !important;
    display: inline-block;
    height: 40px !important;
  }


  .picker-input-wrapper{

    .picker-input-holder{
        height: 40px !important;
    }

    .color-picker{
        height: 80px !important;
    }

    .picker-input{
        input{
            padding: 10px 10px !important;
        }
    }

    .picker-color{
        flex: 0 0 80px !important;
    }

}
